## Function template as_file_name_composer

boost::log::sinks::file::as_file_name_composer

## Synopsis

    // In header: <boost/log/sinks/text_multifile_backend.hpp>

    template<typename FormatterT>
      file_name_composer_adapter< FormatterT >
      as_file_name_composer(FormatterT const & fmt,
                            std::locale const & loc = std::locale());

## Description

The function adopts a log record formatter into a file name generator